Skip to main content
GET
/
v1
/
purchases
List
curl --request GET \
  --url https://{defaultHost}/v1/purchases \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/purchases"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "pagination": {
    "count": 2,
    "limit": 20,
    "page": 1,
    "url": "/v1/purchases"
  },
  "data": [
    {
      "id": "1de882b6-2977-40b4-8cd0-99e6bb360700",
      "object": "purchase",
      "live_mode": true,
      "quantity": 1,
      "revoked": false,
      "revoked_at": null,
      "revoke_at": null,
      "customer": "a80b0c47-352f-424c-b0bd-83496365f85e",
      "initial_order": "326ca98f-9753-4ef9-9cb9-0d6bb220c8c6",
      "license": null,
      "price": "3bffd645-6870-4215-a84a-067afe6480ec",
      "product": "68c00409-cd49-4b94-a682-fe0d58c70504",
      "subscription": null,
      "variant": null,
      "review": null,
      "created_at": 1782485876,
      "updated_at": 1782485876
    },
    {
      "id": "21a9ae00-8efe-4626-a55f-1978abe28a60",
      "object": "purchase",
      "live_mode": true,
      "quantity": 1,
      "revoked": false,
      "revoked_at": null,
      "revoke_at": null,
      "customer": "a80b0c47-352f-424c-b0bd-83496365f85e",
      "initial_order": null,
      "license": null,
      "price": "3bffd645-6870-4215-a84a-067afe6480ec",
      "product": "68c00409-cd49-4b94-a682-fe0d58c70504",
      "subscription": null,
      "variant": null,
      "review": null,
      "created_at": 1782485876,
      "updated_at": 1782485876
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

checkout_ids[]
string[]

Only return objects that belong to the given checkouts.

created_at
object

Only return records that were created during the given date interval.

customer_ids[]
string[]

Only return objects that belong to the given customers.

downloadable
boolean

Only return objects that have associated downloads.

ids[]
string[]

Only return objects with the given IDs.

license_ids[]
string[]

Only return objects that belong to the given licenses.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

live_mode
boolean

Only return objects that are live mode or test mode.

order_ids[]
string[]

Only return objects that belong to the given orders.

page
integer

The page of items you want returned.

product_ids[]
string[]

Only return objects that belong to the given products.

revoked
boolean

Only return objects that are revoked or not revoked.

subscription_ids[]
string[]

Only return objects that belong to the given subscriptions.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.